Open CASCADE Technology: TNaming_ShapesSet Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TNaming_ShapesSet Class Reference

`#include <TNaming_ShapesSet.hxx>`

## Public Member Functions
| TNaming_ShapesSet ()
| TNaming_ShapesSet (const TopoDS_Shape &S, const TopAbs_ShapeEnum Type=TopAbs_SHAPE)
void | Clear ()
| Removes all Shapes. More...
Standard_Boolean | Add (const TopoDS_Shape &S)
| Adds the Shape <S> More...
Standard_Boolean | Contains (const TopoDS_Shape &S) const
| Returns True if <S> is in <me> More...
Standard_Boolean | Remove (const TopoDS_Shape &S)
| Removes <S> in <me>. More...
void | Add (const TNaming_ShapesSet &Shapes)
| Adds the shapes contained in <Shapes>. More...
void | Filter (const TNaming_ShapesSet &Shapes)
| Erases in <me> the shapes not contained in <Shapes> More...
void | Remove (const TNaming_ShapesSet &Shapes)
| Removes in <me> the shapes contained in <Shapes> More...
Standard_Boolean | IsEmpty () const
Standard_Integer | NbShapes () const
TopTools_MapOfShape & | ChangeMap ()
const TopTools_MapOfShape & | Map () const

## Constructor & Destructor Documentation

TNaming_ShapesSet::TNaming_ShapesSet | ( |  | ) |

TNaming_ShapesSet::TNaming_ShapesSet | ( | const TopoDS_Shape & | S,
|  | const TopAbs_ShapeEnum | Type = `TopAbs_SHAPE`
| ) |  |

## Member Function Documentation

Standard_Boolean TNaming_ShapesSet::Add | ( | const TopoDS_Shape & | S | ) |

Adds the Shape <S>

void TNaming_ShapesSet::Add | ( | const TNaming_ShapesSet & | Shapes | ) |

Adds the shapes contained in <Shapes>.

TopTools_MapOfShape& TNaming_ShapesSet::ChangeMap | ( |  | ) |

void TNaming_ShapesSet::Clear | ( |  | ) |

Removes all Shapes.

Standard_Boolean TNaming_ShapesSet::Contains | ( | const TopoDS_Shape & | S | ) | const

Returns True if <S> is in <me>

void TNaming_ShapesSet::Filter | ( | const TNaming_ShapesSet & | Shapes | ) |

Erases in <me> the shapes not contained in <Shapes>

Standard_Boolean TNaming_ShapesSet::IsEmpty | ( |  | ) | const

const TopTools_MapOfShape& TNaming_ShapesSet::Map | ( |  | ) | const

Standard_Integer TNaming_ShapesSet::NbShapes | ( |  | ) | const

Standard_Boolean TNaming_ShapesSet::Remove | ( | const TopoDS_Shape & | S | ) |

Removes <S> in <me>.

void TNaming_ShapesSet::Remove | ( | const TNaming_ShapesSet & | Shapes | ) |

Removes in <me> the shapes contained in <Shapes>

The documentation for this class was generated from the following file:

- TNaming_ShapesSet.hxx